interchange (5.4.1-1) unstable; urgency=low

  * fix reference to removed interchange/debug Debconf template which
    causes initial installs to fail (Closes: #367704) 
  * use invoke-rc.d to run init scripts if command is available
    (Closes: #367724, thanks to Lars Wirzenius <liw@iki.fi> for the report
  * fix outdated reference in POTFILES.in (Closes: #349816, thanks to
    Thomas Huriaux <thomas.huriaux@gmail.com> for the patch)
  * run debconf-updatepo from clean target
  * updated French translation of Debconf templates (Closes: #350858,
    thanks to Christian Perrier <bubulle@debian.org>)
  * added Swedish translation of Debconf templates (Closes: #351354,
    thanks to Daniel Nylander <yeager@lidkoping.net>)
  * updated Russian translation of Debconf templates (Closes: #367185,
    thanks to Yuriy Talakan <yt@amur.elektra.ru>)
  * removed unused Debconf template interchange-cat-standard/demomode

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 22 May 2006 12:39:25 +0200

interchange (5.4.0-1) unstable; urgency=low

  * new upstream release fixing htmlarea widget bug (Closes: #340568)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat,  7 Jan 2006 13:38:57 +0100

interchange (5.3.2-1) unstable; urgency=low

  * new upstream release
  * added Czech translation of Debconf templates (Closes: #315878, thanks
    to Martin Sin <martin.sin@seznam.cz>
  * added Vietnamese translation of Debconf templates (Closes: #311962,
    thanks to Clytie Siddall <clytie@riverland.net.au>)
  * fixed typo in German translation of Debconf templates (Closes: #313769,
    thanks to Jens Seidel <jensseidel@users.sf.net>)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue,  8 Nov 2005 15:04:09 +0100

interchange (5.3.0.20051028-1) experimental; urgency=low

  * new upstream release fixing menu editor bug (Closes: #335012)
  * debconf-2.0 alternative dependency added (Closes: #331860, thanks to
    Joey Hess <joey@kitenet.net>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 27 Oct 2005 15:29:18 +0200

interchange (5.3.0.20051004-1) experimental; urgency=low

  * new upstream release
  * remove configuration snippet for demo catalog on deinstallation
  * remove configuration snippet for foundation from catalogs.cfg
  * added te editor for tab-delimited files (Closes: #132757)
  * remove Debconf question about debug mode
  * support code for Swish added to interchangeconfig and interchange.cfg
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 22 Sep 2005 17:33:40 +0200

interchange (5.2.1-1) unstable; urgency=high

  * new upstream release (fixes ITL injection, Closes: #329705)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 23 Sep 2005 00:08:14 +0200

interchange (5.2.0-2) unstable; urgency=high

  * applied upstream fix to avoid termination of script, let catalog
    removal succeed always (Closes: #256093, thanks to Russ Allbery
    <rra@stanford.edu> for bug analysis and patch)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 26 Sep 2004 15:53:00 +0200

interchange (5.2.0-1) unstable; urgency=low

  * new upstream release
  * creating system group for Interchange user instead of a regular one
    (Closes: #246323)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  5 May 2004 12:15:34 +0200

interchange (5.1.1-1) unstable; urgency=low

  * new upstream release
  * added Russian translation of debconf templates (Closes: #137663)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 20 Apr 2004 08:47:34 +0200
  
interchange (5.1.0-1) unstable; urgency=low

  * new upstream release
  * added French translation of debconf templates (Closes: #242771,
    thanks to Christian Perrier <bubulle@debian.org>)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  8 Apr 2004 20:01:01 +0200

interchange (5.0.1-1) unstable; urgency=high

  * new upstream release (Closes: #240800, upstream fix for security hole)
  * switch to gettext-based debconf templates (Closes: #235494, thanks to
    Martin Quinson <Martin.Quinson@tuxfamily.org> for the patch)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 26 Mar 2004 16:44:42 +0100

interchange (5.0.0-2) unstable; urgency=low

  * added libhtml-parser-perl to Build-Depends to keep HTML::Entities
    module out of the package (Closes: #224435, thanks to Henrik Holmboe
    <elements@hack.se> for the bug report)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 19 Dec 2003 10:24:52 +0100

interchange (5.0.0-1) unstable; urgency=low

  * new upstream release
  * Interchange variable MV_GETPPID_BROKEN has been added to
    /etc/interchange/features.cfg in order to start Interchange properly
    on systems with threaded Perl (Closes: #221939)
  * revive USE_FOUNDATION handling in interchange-ui postinst to
    keep 4.8.x interchange-cat-foundation catalogs running
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun,  7 Dec 2003 02:59:18 +0100

interchange (4.9.9-1) unstable; urgency=low

  * new upstream release

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 28 Oct 2003 22:36:14 +0100

interchange (4.9.8.20031014-1) unstable; urgency=low

  * release from current CVS
  * added versioned dependency on debconf to interchange-cat-foundation
    (Closes: #215633)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 14 Oct 2003 01:33:35 +0200

interchange (4.9.8.20031010-1) unstable; urgency=low

  * don't throw an error if removal of the file
    /usr/lib/interchange/auto/Interchange/.packlist fails 
    (Closes: #215003, thanks to Daniel Schepler
    <schepler@math.berkeley.edu> for the bug report)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 10 Oct 2003 00:42:15 +0200

interchange (4.9.8.20030911-1) unstable; urgency=low

  * release from upstream CVS, adds missing manual pages (Closes: #203926,
    in conjunction with the following items)
  * location of manual pages for module descriptions fixed
  * avoid lintian warning in interchange-ui
  * marked update_locales job as conffile
  * fixed bashisms in interchange-cat-foundation's config script
  * fixed hang of build process caused by non-existant user interchange
    (Closes: #202063, thanks to Adrian Bunk <bunk@fs.tum.de> for his
    bugreport and help to trace down the problem) 
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 11 Sep 2003 03:03:18 +0200

interchange (4.9.8.20030706-1) unstable; urgency=low

  * release from upstream CVS (uses custom module instead of
    SQL::Statement now)
  * don't stop short on 'Unknown host' in interchange-cat-foundation postinst
  * set MINIVEND_FORCE_THREADS in the wrapper instead of the init script
    (Closes: #198675)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun,  6 Jul 2003 19:31:34 +0200

interchange (4.9.8-2) unstable; urgency=low

  * drop Build-Depends on libdb2-dev to allow builds on woody and sid,
    apache-dev already has the proper dependency (Closes: #198136)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 20 Jun 2003 12:00:35 +0200

interchange (4.9.8-1) unstable; urgency=low

  * new upstream release
  * new debconf option for traffic, use low traffic as default
  * specify unix and inet modes explicitly if user selects both (thanks to
    Doug Alcorn <doug@lathi.net> for reporting the changed behaviour in
    4.9.x)
  * check if /etc/init.d/interchange and /usr/sbin/interchangeconfig are
    executable in interchange-ui maintainer scripts
  * UPGRADE and README.cvs added to interchange.docs
  * new debconf option for GnuPG home directory
  * avoid installation error by checking installation state before
    invoking interchange --add/--remove from interchange-cat-foundation
    postinst script (thanks to Doug Alcorn <doug@lathi.net> for reporting
    the problem)
  * remove configuration files handled by interchangeconfig on purge
  * protect against scripts ending up in /usr/lib/interchange
  * get_url UserTag forces dependency on libwww-perl
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 18 Jun 2003 20:15:15 +0200

interchange (4.8.6.20021206-1) unstable; urgency=high

  * need to specifiy INSTALLSCRIPT for Perl 5.8.x in order to get
    the scripts installed to /usr/lib/interchange/bin
    (Closes: #168308, #168510, #169217)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri,  6 Dec 2002 03:38:45 +0100

interchange (4.8.6.20021108-1) unstable; urgency=low

  * removed debug code that inadvertently crept in

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri,  8 Nov 2002 13:07:38 +0100

interchange (4.8.6.20021105-1) unstable; urgency=medium

  * release from current CVS (stable branch)
  * removed bashisms from interchange-cat-foundation script
  * relaxed dependency on libsql-statement-perl (Closes: #158263, #167032)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  6 Nov 2002 11:27:55 +0100

interchange (4.8.6-1) unstable; urgency=high

  * new upstream release, fixes security problem which allows access via
    HTTP to files readable by the Interchange daemon. It is very unlikely
    that Debian installations are vulnerable.
  * removed unneeded file /usr/lib/interchange/perllocal.pod
  * fixed permissions on UI image files
    
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 11 Aug 2002 20:39:34 +0200

interchange (4.8.5.20020527-1) unstable; urgency=low

  * release from current CVS (stable branch)
  * check for demo catalog added in interchange-ui's postinst 
    (Closes: #147705) 
  * turned Depends of libapache-mod-interchange on interchange into a
    Suggests (interchange might be running on a remote host), thanks to
    Christopher F.Miller <cfm.maine.com> for the suggestion
  * doc-base support added to libapache-mod-interchange
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 27 May 2002 22:40:03 +0200

interchange (4.8.5-1) unstable; urgency=high

  * new upstream release (fixes stupid order email problem)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue,  7 May 2002 09:58:02 +0200

interchange (4.8.4-1) unstable; urgency=medium

  * new upstream release
  * added check for expireall to cron job
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 16 Apr 2002 11:15:51 +0200

interchange (4.8.3.20020306-1) unstable; urgency=low

  * use sources from CVS (stable branch) in anticipation of the 4.8.4
    upstream release
  * fixed overly strict dependency on apache-common (Closes: #133671,
    thanks to Matthew Wilcox <willy@debian.org>)
  * add version to dependency on libsql-statement-perl, because newer
    versions cause Interchange to fail in some cases
  * /etc/interchange/usertag directory for locally used global usertags added
  * interchange-ui package suggests now a HTTPS server
  * query username and password for UI superuser account in the foundation
    catalog from the user via debconf
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  6 Mar 2002 23:42:22 +0100

interchange (4.8.3-1) unstable; urgency=low

  * new upstream release (Closes: #112369)
  * change ownership on "documentroot" only if "documentroot" exists
    (Closes: #113357)
  * 400mod_interchange.info added (thanks to Michael Bilow
    <mike@bilow.com>)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 22 Nov 2001 08:52:53 +0100

interchange (4.8.2-1) unstable; urgency=low

  * new upstream release
  * upstream fixes and enhancements from CVS
  * install README.debian into /usr/share/doc
  * useful descriptions for interchange-ui and interchange-cat-foundation
    added (Closes: #109228, #109565)
  * foundation catalog was disabled if not reinstalled in postinst
  * change owner/group of the base directory for static HTML files
    to the Interchange owner/group
  * let makecat write into /etc/interchange/catalogs.cfg
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 19 Sep 2001 21:02:53 +0200

interchange (4.8.1-1) unstable; urgency=low

  * new upstream release (Closes: #102645 due to new build)
  * pass new NOCPANINSTALL variable during install (Closes: #93669)
  * foundation is now the demo catalog instead of construct
  * interchange wrapper handles now PID and sockets directives
    instead of putting it into the configuration file
  * changed makecat.wrapper to run as interchange user instead of root
  * docroot for catalogs added to makecat.wrapper
  * wrappers described within README.debian
  * put poweredby.gif in place again
  * UI_SECURE added to interchange.cfg
  * interchange-doc package removed (PDF's no longer part of distribution)
  * use new PreFork mode by default
  * use new -rundir command line option
  * Variable DEBUG now configurable by debconf
  * use /var/lib/interchange/catalogs as default for catalog installations
  * images are now installed to /var/www/interchange
  * get rid of .packlist (Closes: #104747)
  * /usr/lib/interchange/etc is symlink now for makecat's sake
  * Standards-Version updated
  * dependencies to debconf added to interchange-ui and
    interchange-cat-foundation to keep lintian happy
  * restart server only once if both interchange and interchange-ui
  	are installed, stop server if only interchange-ui gets installed
  * rotate debug.log and makecat.log as well
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 14 Aug 2001 09:43:45 +0200
  
interchange (4.6.5-1) unstable; urgency=high

  * new upstream release (fixes for serious security holes in interchange-ui)
  * libdb2-dev added to Build-Depends (Closes: #93776) 
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 15 Apr 2001 16:40:39 +0200

interchange (4.6.4-2) unstable; urgency=low

  * Build-Depends fixed (Closes: #92570)
  * Added upstream fix to InMemory.pm
  * Added mod_interchange
  * Suggest secure http daemon

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri,  6 Apr 2001 13:22:22 +0200

interchange (4.6.4-1) unstable; urgency=low
  
  * new upstream release
  * don't abuse debconf any longer
  * interchange recommends interchange-ui now (suggested by
    Chris Burgess <chris@ibex.co.nz>)
  * new option maxlength for usertag formel (suggested by
    Dan Browning <danb@cyclonecomputers.com>)
  * interchange-cat-construct.files added
  * select now supported by usertag formel
  * dh_strip added for the CGI link binaries
  * actually use interchange user/group asked for (found by
    Jason Kohles <jkohles@redhat.com>)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 23 Mar 2001 23:26:38 +0100

interchange (4.6.3-1) unstable; urgency=low

  * new upstream release
  * UI start page hack replaced by a better solution

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 10 Feb 2001 03:07:24 +0100

interchange (4.6.2-1) unstable; urgency=low

  * new upstream release
  * interchange wrapper switches to the interchange user if invoked
    as root
  * new usertag email_html
  * added documentroot value to makecat.cfg
  * ensure appropriate permissions for wrappers
  * added interchange user to makecat options
  * example added to catalogs.cfg
  (suggested by Heiko Schlittermann <heiko@schlittermann.de>)
  * better handling of documentation
  * new route options locale and sub
  * upload of new files fixed, backported modifications to
    imagehelper stuff
  * hack to get another start page for the UI
  * improvement for database downloads from UI page gentable
  * create symbolic link for configuration file
  * hints script removed from distribution
  * file widget added
  * architecture of interchange package changed to any
  * location of global log file set by the wrapper now
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  8 Feb 2001 21:31:01 +0100

interchange (4.6.1-1) unstable; urgency=low

  * new upstream release
  * pragma substitute_table_image added
  * emit error message on undefined filters
  * user/group configuration introduced
  * use directory /usr/lib/cgi-bin/ic for link programs
  * added CGI_BASE to configuration file
  * user defined break labels
  * moved UI help stuff to interchange-ui package, removed unneeded
    stuff in share, link help to localhost
  * options checkfor and signal, type radio added to formel user tag
  * fix for empty code field within meta editor
  * some absolute font settings extinguished
  * profile check de_postcode added
  * protect currency against leaking locale
  * imagehelper widget fix
  * wrapper for interchange and makecat added
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  3 Dec 2000 18:27:20 +0100

interchange (4.6.0-1) unstable; urgency=low

  * new upstream release 
  * modified expire scripts so they work from cron
  * log form action errors
  * imagehelper widget added
  * option size of usertag formel implemented

 -- Stefan Hornburg <racke@linuxia.de>  Fri, 27 Oct 2000 11:50:14 +0200

interchange (4.5.8-1) unstable; urgency=low
  
  * initial release

 -- Stefan Hornburg <racke@linuxia.de>  Fri, 20 Oct 2000 22:16:24 +0200


